# run_lasso.sh
# Moves and creates necessary files to run LASSO cases
# This version for scale-awareness tests

module load nco
module load ncl

# Link lasso forcing directory below here
rm lasso_config
ln -s /mnt/lfs3/projects/rtwbl/angevine/lasso/20150627/sim0030/config/ lasso_config
# ln -s /mnt/lfs3/projects/rtwbl/angevine/lasso/20160625/sim07/config/ lasso_config
# ln -s /mnt/lfs3/projects/rtwbl/angevine/lasso/20170717/sim02/config/ lasso_config
# cp namelist.input.lasso_0627_600m_6thorder namelist.input
# cp namelist.input.lasso_0627_1200m_6thorder namelist.input
cp namelist.input.lasso_0627_300m_6thorder namelist.input
# cp namelist.input.lasso_16_0625_600m_6thorder namelist.input
# cp namelist.input.lasso_17_0717_600m_6thorder namelist.input

cp ../../../lasso/20150627/input_sounding_0627_sim0030 input_sounding
# cp ../../../lasso/input_sounding_16_0625_sim07 input_sounding
# cp /mnt/lfs3/projects/rtwbl/angevine/lasso/input_sounding_17_0717_sim02 input_sounding
cp input_soil.lasso_0627_sim0030_lsm input_soil   # MYNN
# cp input_soil.lasso_16_0625 input_soil   # MYNN
# cp input_soil.lasso_17_0717 input_soil   # MYNN

# Translate provided forcings to what SCM expects
# See README.crm file for explanation of crm namelist variables
# There are two forcing files, "ls" = large scale and "sfc" = surface
# Names are not the same as in SCM code

ncgen -o lasso_force_input.nc forcing_file_lasso.cdl
cp lasso_force_input.nc lasso_force.nc
# ncl make_lasso_forcing.ncl # (13km - makes lasso_force.nc)
# ncl make_lasso_forcing_600m.ncl # (makes lasso_force.nc)
ncl make_lasso_forcing_300m.ncl # (makes lasso_force.nc)
# ncl make_lasso_forcing_1200m.ncl # (makes lasso_force.nc)

./ideal.exe >ideal.out
./wrf.exe >wrf.out
mv wrfout_d* wrfout_lasso_0627_sim0030_300m_noscale_6th_4111.nc

